• /
  • ログイン
  • 無料アカウント

Introduction to the New Relic Agent SDK

Deprecated Do not use

注意

End of Life Notice

The APM Agent SDK is deprecated beta software. If you're using the Agent SDK, we recommend switching to the C SDK. To use the C SDK, check the compatibility and requirements, and then instrument, compile and link your application's code.

The instrumentation for the C SDK differs from the deprecated APM Agent SDK. The C SDK currently does not support New Relic's high security mode feature; this may impact how you schedule your transition away from the APM Agent SDK.

Early access to this limited beta release allows you to view web transactions, but the APM Agent SDK intentionally does not support the full capabilities of standard APM agents.

Contents

Compatibility and requirements

The Agent SDK helps you use New Relic to gain visibility into application performance for apps that were not written in one of our supported languages. Make sure your app meets these requirements.

Security considerations

Security considerations for the APM agent SDK include:

Install and configure

Before you install the agent SDK, make sure you meet the compatibility and requirements.

Configure usage mode

After you install the New Relic Agent SDK, update your configuration so that your agent can run in the appropriate usage mode (daemon-mode or embedded-mode).

Using the Agent SDK

Here is an overview of how to use the Agent SDK with some of the standard features of any other New Relic agent. It is not intended to be a comprehensive description of all the features and functions available to you.

Known limitations

This summarizes the APM agent SDK's known limitations and bugs.

Release notes

This is a record of the APM Agent SDK release notes.

For more help

注意

End of Life Notice

The APM Agent SDK is deprecated beta software. If are using the Agent SDK, you can switch to the C SDK. To use the C SDK, check the compatibility and requirements, and then instrument, compile and link your application's code.

The instrumentation for the C SDK differs from the deprecated APM Agent SDK. The C SDK currently does not support New Relic's high security mode feature; this may impact how you schedule your transition away from the APM Agent SDK.

その他のヘルプ

さらに支援が必要な場合は、これらのサポートと学習リソースを確認してください:

問題を作成するこのページを編集する
Copyright © 2020 New Relic Inc.